package com.sifang.modules.customer.form;

//产品参数信息
public class ProductPara {

    //TENANT_INCOME_PRICE - 承租人收益（元/块光伏板/年）
    //EQUIPMENT_PRICE - 设备单价（元/瓦）
    //ELE_PRICE - 电价
    //BASIC_ELE_TIME - 基准发电小时数
    //MANUFACTURER_INCONE_RATIO - 厂商收益分成比例
    //DECAY_RATE - 光伏板衰减率
    //MAINTENANCE_PRICE - 运维费用（元/瓦/年）
    //DEPOSIT_RATIO - 保证金比例
    //RESIDUALS_RATE - 残值率
    //DISPOSAL_PRICE-投资资产到期处置价
    //必传参数：TENANT_INCOME_PRICE - 承租人收益（元/块光伏板/年）EQUIPMENT_PRICE - 设备单价（元/瓦）
    // 但所有参数，如接口已传，均需与越秀产品进行对比，如不一致，提示“同步失败，产品报价不一致！”
    private String productParaName;//参数名
    private Number productParaValue;//参数值
    private String leaseTermFrom;//租赁年限从,所传产品参数使用起始年限（例如：设备单价如18年均为同一金额，则“租赁年限从”为”1“，根据产品参数实际所匹配年限传入）
    private String leaseTermTo;//租赁年限到,所传产品参数使用结束年限（例如：设备单价如18年均为同一金额，则“租赁年限到”为”18“，根据产品参数实际所匹配年限传入）

    public String getProductParaName() {
        return productParaName;
    }

    public void setProductParaName(String productParaName) {
        this.productParaName = productParaName;
    }

    public Number getProductParaValue() {
        return productParaValue;
    }

    public void setProductParaValue(Number productParaValue) {
        this.productParaValue = productParaValue;
    }

    public String getLeaseTermFrom() {
        return leaseTermFrom;
    }

    public void setLeaseTermFrom(String leaseTermFrom) {
        this.leaseTermFrom = leaseTermFrom;
    }

    public String getLeaseTermTo() {
        return leaseTermTo;
    }

    public void setLeaseTermTo(String leaseTermTo) {
        this.leaseTermTo = leaseTermTo;
    }
}
